Package ghidra.util.table.field

# Class MemorySectionProgramLocationBasedTableColumn

java.lang.Object
docking.widgets.table.AbstractDynamicTableColumn<ProgramLocation,String,Program>
docking.widgets.table.DynamicTableColumnExtensionPoint<ProgramLocation,String,Program>
ghidra.util.table.field.ProgramLocationTableColumnExtensionPoint<ProgramLocation,String>
ghidra.util.table.field.MemorySectionProgramLocationBasedTableColumn

All Implemented Interfaces:
  `DynamicTableColumn<ProgramLocation,String,Program>`, `ExtensionPoint`, `ProgramBasedDynamicTableColumn<ProgramLocation,String>`, `ProgramLocationTableColumn<ProgramLocation,String>`

public class MemorySectionProgramLocationBasedTableColumn extends ProgramLocationTableColumnExtensionPoint<ProgramLocation,String>

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `FLOATING_POINT_PRECISION_SETTING, FLOATING_POINT_SETTINGS_DEFINITIONS, INTEGER_RADIX_SETTING, INTEGER_SETTINGS_DEFINITIONS, INTEGER_SIGNEDNESS_MODE_SETTING, NO_SETTINGS_DEFINITIONS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MemorySectionProgramLocationBasedTableColumn()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getColumnName()`
  Determines the unique column heading that may be used to identify a column instance.
  `ProgramLocation`
  `getProgramLocation(ProgramLocation rowObject, Settings settings, Program program, ServiceProvider serviceProvider)`
  Determines an appropriate program location associated with this field for the indicated row object.
  `String`
  `getValue(ProgramLocation rowObject, Settings settings, Program program, ServiceProvider serviceProvider)`
  Creates an object that is appropriate for this field (table column) and for the object that is associated with this row of the table.

  ### Methods inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `equals, getColumnClass, getColumnDescription, getColumnDisplayName, getColumnPreferredWidth, getColumnRenderer, getComparator, getComparator, getHeaderRenderer, getMaxLines, getSettingsDefinitions, getSupportedRowType, getUniqueIdentifier, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.widgets.table.DynamicTableColumn

  `getColumnClass, getColumnDescription, getColumnDisplayName, getColumnPreferredWidth, getColumnRenderer, getComparator, getHeaderRenderer, getMaxLines, getSettingsDefinitions, getSupportedRowType, getUniqueIdentifier`

- ## Constructor Details

  - ### MemorySectionProgramLocationBasedTableColumn

    public MemorySectionProgramLocationBasedTableColumn()

- ## Method Details

  - ### getColumnName

    public String getColumnName()
    Description copied from interface: `DynamicTableColumn`
    Determines the unique column heading that may be used to identify a column instance. This name must be non-changing and is used to save/restore state information.
    Specified by:
      `getColumnName` in interface `DynamicTableColumn<ProgramLocation,String,Program>`
    Specified by:
      `getColumnName` in class `AbstractDynamicTableColumn<ProgramLocation,String,Program>`
    Returns:
      the field instance name.

  - ### getValue

    public String getValue(ProgramLocation rowObject, Settings settings, Program program, ServiceProvider serviceProvider) throws IllegalArgumentException
    Description copied from interface: `DynamicTableColumn`
    Creates an object that is appropriate for this field (table column) and for the object that is associated with this row of the table.
    Specified by:
      `getValue` in interface `DynamicTableColumn<ProgramLocation,String,Program>`
    Specified by:
      `getValue` in class `AbstractDynamicTableColumn<ProgramLocation,String,Program>`
    Parameters:
      `rowObject` - the object associated with the row in the table.
      `settings` - field settings
      `program` - the expected data object, as defined by the DATA_SOURCE type
      `serviceProvider` - the `ServiceProvider` associated with the table.
    Returns:
      the object for the model to display in the table cell.
    Throws:
      `IllegalArgumentException` - if the rowObject is not one supported by this class.

  - ### getProgramLocation

    public ProgramLocation getProgramLocation(ProgramLocation rowObject, Settings settings, Program program, ServiceProvider serviceProvider)
    Description copied from interface: `ProgramLocationTableColumn`
    Determines an appropriate program location associated with this field for the indicated row object. The most probable use is for navigating from the field.
    Parameters:
      `rowObject` - the object associated with the table row.
      `settings` - field settings
      `program` - the program associated with the table.
      `serviceProvider` - the plugin tool associated with the table.
    Returns:
      the address associated with the field.